with GNATCOM.Dispinterface;

package MSHTML.HTMLDocumentEvents_Object is

   type HTMLDocumentEvents_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   function onhelp
     (This : HTMLDocumentEvents_Type)
     return GNATCOM.Types.VARIANT;

   function onclick
     (This : HTMLDocumentEvents_Type)
     return GNATCOM.Types.VARIANT;

   function ondblclick
     (This : HTMLDocumentEvents_Type)
     return GNATCOM.Types.VARIANT;

   procedure onkeydown
     (This : HTMLDocumentEvents_Type);

   procedure onkeyup
     (This : HTMLDocumentEvents_Type);

   function onkeypress
     (This : HTMLDocumentEvents_Type)
     return GNATCOM.Types.VARIANT;

   procedure onmousedown
     (This : HTMLDocumentEvents_Type);

   procedure onmousemove
     (This : HTMLDocumentEvents_Type);

   procedure onmouseup
     (This : HTMLDocumentEvents_Type);

   procedure onmouseout
     (This : HTMLDocumentEvents_Type);

   procedure onmouseover
     (This : HTMLDocumentEvents_Type);

   procedure onreadystatechange
     (This : HTMLDocumentEvents_Type);

   function onbeforeupdate
     (This : HTMLDocumentEvents_Type)
     return GNATCOM.Types.VARIANT;

   procedure onafterupdate
     (This : HTMLDocumentEvents_Type);

   function onrowexit
     (This : HTMLDocumentEvents_Type)
     return GNATCOM.Types.VARIANT;

   procedure onrowenter
     (This : HTMLDocumentEvents_Type);

   function ondragstart
     (This : HTMLDocumentEvents_Type)
     return GNATCOM.Types.VARIANT;

   function onselectstart
     (This : HTMLDocumentEvents_Type)
     return GNATCOM.Types.VARIANT;

   function onerrorupdate
     (This : HTMLDocumentEvents_Type)
     return GNATCOM.Types.VARIANT;

   function oncontextmenu
     (This : HTMLDocumentEvents_Type)
     return GNATCOM.Types.VARIANT;

   function onstop
     (This : HTMLDocumentEvents_Type)
     return GNATCOM.Types.VARIANT;

   procedure onrowsdelete
     (This : HTMLDocumentEvents_Type);

   procedure onrowsinserted
     (This : HTMLDocumentEvents_Type);

   procedure oncellchange
     (This : HTMLDocumentEvents_Type);

   procedure onpropertychange
     (This : HTMLDocumentEvents_Type);

   procedure ondatasetchanged
     (This : HTMLDocumentEvents_Type);

   procedure ondataavailable
     (This : HTMLDocumentEvents_Type);

   procedure ondatasetcomplete
     (This : HTMLDocumentEvents_Type);

   procedure onbeforeeditfocus
     (This : HTMLDocumentEvents_Type);

   procedure onselectionchange
     (This : HTMLDocumentEvents_Type);

   function oncontrolselect
     (This : HTMLDocumentEvents_Type)
     return GNATCOM.Types.VARIANT;

   function onmousewheel
     (This : HTMLDocumentEvents_Type)
     return GNATCOM.Types.VARIANT;

   procedure onfocusin
     (This : HTMLDocumentEvents_Type);

   procedure onfocusout
     (This : HTMLDocumentEvents_Type);

   procedure onactivate
     (This : HTMLDocumentEvents_Type);

   procedure ondeactivate
     (This : HTMLDocumentEvents_Type);

   function onbeforeactivate
     (This : HTMLDocumentEvents_Type)
     return GNATCOM.Types.VARIANT;

   function onbeforedeactivate
     (This : HTMLDocumentEvents_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.HTMLDocumentEvents_Object;

